Skip to content

Update inbound endpoint

PATCH
/v1/inbound-endpoints/{id}

Update an existing inbound endpoint. Only provided fields are updated; omitted fields retain their current values.

id
required
string format: uuid

Inbound endpoint identifier (UUIDv7)

Example
01935abc-def0-7123-4567-890abcdef012
object
name

Updated endpoint name

string
<= 255 characters
description

Updated description

string
<= 500 characters
url

Updated forwarding URL

string format: uri
>= 12 characters <= 2048 characters /^https:///
verify_static_token

Enable/disable static token verification

boolean
token_header_name

Updated header name for static token

string
token_query_param

Updated query param for static token

string
token_value

Updated static token value

string
verify_hmac

Enable/disable HMAC verification

boolean
hmac_header_name

Updated HMAC header name

string
hmac_secret

Updated HMAC secret

string
timestamp_header_name

Updated timestamp header name

string
timestamp_ttl_seconds

Updated timestamp TTL

integer
>= 1
verify_ip_allowlist

Enable/disable IP allowlist verification

boolean
allowed_cidrs

Updated CIDR allowlist

Array<string>
idempotency_header_names

Updated idempotency header names

Array<string>
ingest_response_code

Updated ingest response code

integer
>= 200 <= 299
signing_enabled

Enable/disable delivery signing

boolean
Examples

Update name only

{
"name": "Updated endpoint name"
}

Inbound endpoint updated successfully

object
data
object
id

Inbound endpoint ID

string
Example
01935abc-def0-7123-4567-890abcdef012
updated

Whether the update was successful

boolean
Example
true
meta
object
request_id

Unique identifier for this request (useful for support)

string
Example
req_xyz123
Example
{
"data": {
"id": "01935abc-def0-7123-4567-890abcdef012",
"updated": true
},
"meta": {
"request_id": "req_xyz123"
}
}

Invalid request

object
error
object
code

Machine-readable error code

string
Example
INVALID_REQUEST
message

Human-readable error message

string
Example
endpoint must be a valid HTTPS URL
meta
object
request_id

Unique identifier for this request (useful for support)

string
Example
req_xyz123
Examples

Endpoint not found

{
"error": {
"code": "ENDPOINT_NOT_FOUND",
"message": "endpoint not found"
},
"meta": {
"request_id": "req_xyz123"
}
}

Unauthorized - Invalid or missing API key

object
error
object
code

Machine-readable error code

string
Example
INVALID_REQUEST
message

Human-readable error message

string
Example
endpoint must be a valid HTTPS URL
meta
object
request_id

Unique identifier for this request (useful for support)

string
Example
req_xyz123
Example
{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
},
"meta": {
"request_id": "req_xyz123"
}
}

Resource not found

object
error
object
code

Machine-readable error code

string
Example
INVALID_REQUEST
message

Human-readable error message

string
Example
endpoint must be a valid HTTPS URL
meta
object
request_id

Unique identifier for this request (useful for support)

string
Example
req_xyz123
Example
{
"error": {
"code": "NOT_FOUND",
"message": "Message not found"
},
"meta": {
"request_id": "req_xyz123"
}
}

Duplicate URL conflict

object
error
object
code

Machine-readable error code

string
Example
INVALID_REQUEST
message

Human-readable error message

string
Example
endpoint must be a valid HTTPS URL
meta
object
request_id

Unique identifier for this request (useful for support)

string
Example
req_xyz123
Personalize Examples

Enter your credentials to populate code examples throughout the docs.